Loading...
Searching...
No Matches
types.hpp File Reference

Go to the source code of this file.

## Classes

struct | jni::jobject
struct | jni::jclass
struct | jni::jstring
struct | jni::jthrowable
struct | jni::jarray< T >
struct | jni::JNINativeMethod< R(JNIEnv *, jclass *, Args...) >
struct | jni::JNINativeMethod< R(JNIEnv *, jobject *, Args...) >

## Namespaces

namespace | jni

## Typedefs

using | jni::jsize = std::size_t
using | jni::jobjectArray = jarray< jobject >
using | jni::jbooleanArray = jarray< jboolean >
using | jni::jbyteArray = jarray< jbyte >
using | jni::jcharArray = jarray< jchar >
using | jni::jshortArray = jarray< jshort >
using | jni::jintArray = jarray< jint >
using | jni::jlongArray = jarray< jlong >
using | jni::jfloatArray = jarray< jfloat >
using | jni::jdoubleArray = jarray< jdouble >
using | jni::jfieldID = std::pointer_traits< ::jfieldID >::element_type
using | jni::jmethodID = std::pointer_traits< ::jmethodID >::element_type

## Enumerations

enum | jni::version : jint { jni::jni_version_1_1 = version(JNI_VERSION_1_1) , jni::jni_version_1_2 = version(JNI_VERSION_1_2) , jni::jni_version_1_4 = version(JNI_VERSION_1_4) , jni::jni_version_1_6 = version(JNI_VERSION_1_6) }
enum | jni::error : jint { jni::jni_ok = error(JNI_OK) , jni::jni_err = error(JNI_ERR) , jni::jni_edetached = error(JNI_EDETACHED) , jni::jni_eversion = error(JNI_EVERSION) }

## Variables

const jboolean | jni::jni_false = 0
const jboolean | jni::jni_true = 1